#!/bin/sh

#
# Instalation script for PST
# 
# (c) 2002  Tomas Valla   <valla@atrey.karlin.mff.cuni.cz>
# 
# This software may be used and distributed under the terms
# of the GNU General Public License. See COPYING for details.
# 
# syntax: install.sh <bindir> <libdir> <docdir>
#

BP="$1"
LP="$2"
DP="$3"
if [ $# -lt 3 ]; then
	echo "Missing arguments"
	echo "syntax: install.sh <bindir> <libdir> <docdir>"
	exit
fi

echo "Installing PST"
echo "In most cases you should be root to do this"

for i in "$BP" "$LP" "$DP"; do
	if [ ! -e "$i" ]; then \
		echo "Creating directory $i"
		mkdir -p $i
	fi
	if [ ! -d "$i" ]; then
		echo "$i is not a directory"
		exit
	fi
done

echo "Now copying libs to $LP:"
cp *.pm "$LP"
echo "Now copying executables to $BP:"
cp pst psscan "$BP"
echo "Now copying documentation to $DP:"
cp *.txt "$DP"
echo "Patching pst to load libraries:"
ed $BP/pst <<EOF
1s:\$: -I$LP:
w
q
EOF

echo "Done. Make sure the bin directory is in your path,"
echo "or at least that psscan is in path."
